Kertas Nusantara - Feature #4152

Penambahan Validasi di Halaman Sign Up port E-Recruitment Kertas
01/15/2026 02:06 PM - Mr Ikmal

Status: Revise Start date: 01/15/2026
Priority: Normal Due date:

Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.50 hours
Description

Dear team Developer,

Berikut adalah daftar validasi yang perlu dibuat pada halaman Sign Up di port E-Recruitment:

1. Validasi untuk mengecek apakah username sudah pernah digunakan. Jika sudah terdaftar, tampilkan pesan:

"Username has already been used. Please use another username."

Karena case nya sekarang bisa sign up dengan username yg sudah ada contoh nya :riando. Karena username ini akan dipakai saat

Login.

2. Semua field yang bersifat mandatory agar diberi tanda bintang berwarna merah.
Contoh: Email* (kalua misalnya semua mandatory, kasih semua ya)

3. Mohon perbaiki typo pada message ketika password tidak sesuai, menjadi:
"Password does not match with re-password.”

Terima kasih.

PORT: https://erec-kertasnusantara-dev.minovais.com/
DB: 103.153.60.89 (MinovaES_KertasNusantara_Dev)

History

#1 - 01/15/2026 02:44 PM - Mr Ikmal

4. Di kolom Password & Re-Password, tambahkan icon eye juga ya kalau misalnya icon eye nya active dia bisa melihat password yg dia ketik saat
ini, kalau non-active tidak bisa

#2 - 01/15/2026 03:27 PM - Mr Ikmal

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

Mohon dibantu mas azid, terima kasih

#3 - 01/15/2026 04:10 PM - Mr Ikmal

5. Validasi untuk mengecek apakah email sudah pernah digunakan. Jika sudah terdaftar, tampilkan pesan:
"Email has already been used. Please use another email."
Karena email nya akan dipakai forgot password di e-rec

#4 - 01/15/2026 04:17 PM - M Azid Wahyudi
- Status changed from New to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test ya semua

kalau mau ubah2 massage :
PASSMATCH

MINPASS

BSPASS

BSEMAIL

RCVALAGE

RCUsername
RCVALEMAIL
https://erec-kertasnusantara-dev.minovais.com/

di messagecatalog

package :
C:\Webserver\KertasNusantara_Development\E-Recruitment\Metronic\assets\admin\pages\css\login.css
C:\Webserver\KertasNusantara_Development\E-Recruitment\Views\Account\Login.aspx

makasih
#5 - 01/15/2026 04:43 PM - Mr Ikmal
- File Screenshot 2026-01-15 163533.png added

- Status changed from QA Test to Revise

- Assignee changed from Mr lkmal to M Azid Wahyudi

Validasi nya sudah OK semua mas, terima kasih ya.

minta bantuan dikit aja buat styling posisi icon eye nya agak keatas dikit biar rata di tengah2 ya.
#6 - 01/19/2026 10:04 AM - M Azid Wahyudi

- File clipboard-202601191003-xslw5.png added

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal, udah bisa di test yaa

) 3-aev v g

A KERTAS
NUSANTARA
HOME CAREER CONTACTUS LOGIN

SIGN UP

Full Name * :
KTP Number:

Birth Date * :

dd/mm/yyyy (m}

Username = :

azidtest1

Password * :

......... &

Re-Enter Password *:

Email * :

SUBMIT CANCEL

terima kasih

#7 - 01/19/2026 11:09 AM - Mr lkmal
- Status changed from QA Test to Closed

sudah OK, Terima kasih mas.
#8 - 01/19/2026 11:55 AM - Mr lkmal
- Status changed from Closed to Revise

- Assignee changed from Mr Ikmal to M Azid Wahyudi

Dear mas azid,

Mohon dibantu jg untuk validasi KTP Number tidak boleh sama dengan KTP Number yg sudah ada di database, kalau ada yg sama mohon tampilkan
message "KTP Number has already been used. Please use another KTP Number."

Terima kasih

Files

Screenshot 2026-01-15 163533.png 21 KB 01/15/2026 Mr Ikmal
clipboard-202601191003-xslw5.png 66.4 KB 01/19/2026 M Azid Wahyudi
